clang 8.0.0

Public Attributes | List of all members
clang::Builtin::Info Struct Reference

`#include "clang/Basic/Builtins.h"`

Collaboration diagram for clang::Builtin::Info:
[legend]

## Public Attributes
const char * | Name
const char * | Type
const char * | Attributes
const char * | HeaderName
LanguageID | Langs
const char * | Features

## Detailed Description

Definition at line 56 of file Builtins.h.

## Member Data Documentation

## ◆ Attributes

const char * clang::Builtin::Info::Attributes

Definition at line 57 of file Builtins.h.

Referenced by clang::Builtin::Context::hasCustomTypechecking(), clang::Builtin::Context::isConst(), clang::Builtin::Context::isConstWithoutErrno(), clang::Builtin::Context::isHeaderDependentFunction(), clang::Builtin::Context::isLibFunction(), clang::Builtin::Context::isNoReturn(), clang::Builtin::Context::isNoThrow(), clang::Builtin::Context::isPredefinedLibFunction(), clang::Builtin::Context::isPredefinedRuntimeFunction(), clang::Builtin::Context::isPure(), clang::Builtin::Context::isReturnsTwice(), and clang::Builtin::Context::isUnevaluated().

## ◆ Features

const char* clang::Builtin::Info::Features

Definition at line 59 of file Builtins.h.

## ◆ HeaderName

const char * clang::Builtin::Info::HeaderName

Definition at line 57 of file Builtins.h.

## ◆ Langs

LanguageID clang::Builtin::Info::Langs

Definition at line 58 of file Builtins.h.

## ◆ Name

const char* clang::Builtin::Info::Name

Definition at line 57 of file Builtins.h.

Referenced by clang::Builtin::Context::getAuxBuiltinID().

## ◆ Type

const char * clang::Builtin::Info::Type

Definition at line 57 of file Builtins.h.

The documentation for this struct was generated from the following file:

- include/clang/Basic/Builtins.h